gnutls_x509_crt_get_serial(3)

NAME
gnutls_x509_crt_get_serial - This function returns the certificate's serial number

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_serial(gnutls_x509_crt_t cert, void * result, size_t * result_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

void * result
    The place where the serial number will be copied

size_t * result_size
    Holds the size of the result field.

DESCRIPTION
This function will return the X.509 certificate's serial number. This is obtained by the X509 Certificate serialNumber field. Serial is not always a 32 or 64bit number. Some CAs use large serial numbers, thus it may be wise to handle it as something opaque. Returns 0 on success and a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.